Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | Private Member Functions | List of all members
eZVoucherInformation Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $catID=-1)
| get ( $id=-1)
| fill ( $value)
& | getAll ( $offset=0, $limit=20)
| count ()
| id ()
& | description ()
| setDescription (&$value)
& | price ()
& | toName ()
& | fromName ()
& | correctPrice ( $calcVAT, &$product)
| setPrice (&$value)
| setToName (&$value)
| setFromName (&$value)
| setEmail (&$value)
| setFromEmail (&$value)
| setToAddress (&$value)
| setFromAddress (&$value)
| setProduct (&$value)
| setVoucher (&$value)
| setMailMethod ( $value)
| setPreOrder (&$value)
| online ( $asObject=true)
| fromEmail ( $asObject=true)
| toAddress ( $asObject=true)
| fromAddress ( $asObject=true)
| product ( $asObject=true)
| voucher ( $asObject=true)
| mailMethod ()
| preOrderID ( $asObject=true)
| sendMail ()

## Public Attributes
| $ID
| $Description
| $PreOrderID
| $OnlineID
| $ToAddressID
| $FromAddressID
| $VoucherID
| $MailMethod
| $Price
| $ToName
| $FromName
| $FromOnlineID
| $ProductID
| $AddressID

## Private Member Functions
| sendEMail ()

## Detailed Description

! ezquizvoucher smail ezquizvoucher smail documentation.

Example code:

$voucherInfo = new eZVoucherInformation(); // Create a new object.
$online = new eZOnline( 7 ); // Get eZOnline object with id 7.
$voucher = new eZVoucher( 4 ); // Get voucher object with id 4.
$voucherInfo->setEmail( $online ); // Add the online object.
$voucherInfo->setPreOrder( 10 ); // Add the pre order id.
$voucherInfo->setDescription( $Description ); // Add a description.
$voucherInfo->setVoucher( $voucher ); // Adds the eZVoucher objdect.
$voucherInfo->store(); // Stores the object to the database
eZVoucherInformation
Definition: ezvoucherinformation.php:55
eZVoucherInformation\$Description
$Description
Definition: ezvoucherinformation.php:607
eZVoucher
Definition: ezvoucher.php:54

See also
  eZVoucherUsed eZVoucher eZVoucherSMail

Definition at line 54 of file ezvoucherinformation.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZVoucherInformation::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZVoucherInformation object.

If $id is set the object's values are fetched from the database.

Definition at line 63 of file ezvoucherinformation.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ correctPrice()

& eZVoucherInformation::correctPrice | ( |  | $calcVAT,
|  | & | $product
| ) |  |

Returns the correct price of the product based on the logged in user, and the VAT status and use.

Definition at line 306 of file ezvoucherinformation.php.

References $price, $Price, $product, $vat, and eZUser\currentUser().

## ◆ count()

eZVoucherInformation::count | ( |  | ) |

Returns the total count.

Definition at line 243 of file ezvoucherinformation.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by get(), and getAll().

## ◆ delete()

eZVoucherInformation::delete | ( |  | $catID = `-1` | ) |

Deletes a eZVoucherInformation object from the database.

Definition at line 151 of file ezvoucherinformation.php.

References $db, $ID, $res, $ret, and eZDB\globalDatabase().

## ◆ description()

& eZVoucherInformation::description | ( |  | ) |

Returns the description of the voucher smail.

Definition at line 265 of file ezvoucherinformation.php.

Referenced by sendEMail().

## ◆ fill()

eZVoucherInformation::fill | ( |  | $value | ) |

Fills in information to the object taken from the array.

Definition at line 197 of file ezvoucherinformation.php.

References $db, and eZDB\globalDatabase().

Referenced by __construct(), and get().

## ◆ fromAddress()

eZVoucherInformation::fromAddress | ( |  | $asObject = `true` | ) |

Returns the smail

Definition at line 500 of file ezvoucherinformation.php.

References $FromAddressID, and $ret.

## ◆ fromEmail()

eZVoucherInformation::fromEmail | ( |  | $asObject = `true` | ) |

Returns the email

Definition at line 474 of file ezvoucherinformation.php.

References $FromOnlineID, and $ret.

Referenced by sendEMail().

## ◆ fromName()

& eZVoucherInformation::fromName | ( |  | ) |

Returns the from name of the voucher smail.

Definition at line 297 of file ezvoucherinformation.php.

References $FromName.

Referenced by sendEMail().

## ◆ get()

eZVoucherInformation::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 172 of file ezvoucherinformation.php.

References $db, $id, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll()

& eZVoucherInformation::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |

Returns all the categories found in the database.

The categories are returned as an array of eZVoucherInformation objects.

Definition at line 219 of file ezvoucherinformation.php.

References $db, $i, $limit, $offset, count(), and eZDB\globalDatabase().

## ◆ id()

eZVoucherInformation::id | ( |  | ) |

Returns the object ID to the voucher smail. This is the unique ID stored in the database.

Definition at line 257 of file ezvoucherinformation.php.

References $ID.

## ◆ mailMethod()

eZVoucherInformation::mailMethod | ( |  | ) |

Returns the mail method.

Definition at line 540 of file ezvoucherinformation.php.

References $MailMethod.

## ◆ online()

eZVoucherInformation::online | ( |  | $asObject = `true` | ) |

Returns the email

Definition at line 461 of file ezvoucherinformation.php.

References $OnlineID, and $ret.

Referenced by sendEMail().

## ◆ preOrderID()

eZVoucherInformation::preOrderID | ( |  | $asObject = `true` | ) |

Returns the pre order

Definition at line 548 of file ezvoucherinformation.php.

References $PreOrderID.

## ◆ price()

& eZVoucherInformation::price | ( |  | ) |

Returns the price of the voucher smail.

Definition at line 281 of file ezvoucherinformation.php.

References $Price.

## ◆ product()

eZVoucherInformation::product | ( |  | $asObject = `true` | ) |

Returns the product

Definition at line 513 of file ezvoucherinformation.php.

References $ProductID, and $ret.

## ◆ sendEMail()

eZVoucherInformation::sendEMail | ( |  | ) |
| private

Mail the user.

Definition at line 573 of file ezvoucherinformation.php.

References $ini, $Language, $mail, $t, description(), fromEmail(), fromName(), online(), toName(), and voucher().

Referenced by sendMail().

## ◆ sendMail()

eZVoucherInformation::sendMail | ( |  | ) |

Returns the price of the voucher.

Definition at line 559 of file ezvoucherinformation.php.

References $Price, and sendEMail().

## ◆ setDescription()

eZVoucherInformation::setDescription | ( | & | $value | ) |

Sets the description.

Definition at line 273 of file ezvoucherinformation.php.

## ◆ setEmail()

eZVoucherInformation::setEmail | ( | & | $value | ) |

Sets the email for the voucher smail.

Definition at line 376 of file ezvoucherinformation.php.

## ◆ setFromAddress()

eZVoucherInformation::setFromAddress | ( | & | $value | ) |

Sets the email for the voucher smail.

Definition at line 409 of file ezvoucherinformation.php.

## ◆ setFromEmail()

eZVoucherInformation::setFromEmail | ( | & | $value | ) |

Sets the email for the voucher smail.

Definition at line 387 of file ezvoucherinformation.php.

## ◆ setFromName()

eZVoucherInformation::setFromName | ( | & | $value | ) |

Sets the from name.

Definition at line 368 of file ezvoucherinformation.php.

## ◆ setMailMethod()

eZVoucherInformation::setMailMethod | ( |  | $value | ) |

Sets the mail method.

Definition at line 442 of file ezvoucherinformation.php.

## ◆ setPreOrder()

eZVoucherInformation::setPreOrder | ( | & | $value | ) |

Sets the preorder for the voucher smail.

Definition at line 450 of file ezvoucherinformation.php.

## ◆ setPrice()

eZVoucherInformation::setPrice | ( | & | $value | ) |

Sets the description.

Definition at line 352 of file ezvoucherinformation.php.

## ◆ setProduct()

eZVoucherInformation::setProduct | ( | & | $value | ) |

Sets the product for the voucher smail.

Definition at line 420 of file ezvoucherinformation.php.

## ◆ setToAddress()

eZVoucherInformation::setToAddress | ( | & | $value | ) |

Sets the email for the voucher smail.

Definition at line 398 of file ezvoucherinformation.php.

## ◆ setToName()

eZVoucherInformation::setToName | ( | & | $value | ) |

Sets the to name.

Definition at line 360 of file ezvoucherinformation.php.

## ◆ setVoucher()

eZVoucherInformation::setVoucher | ( | & | $value | ) |

Sets the voucher for the voucher smail.

Definition at line 431 of file ezvoucherinformation.php.

## ◆ store()

eZVoucherInformation::store | ( |  | ) |

Stores a eZVoucherInformation object to the database.

Definition at line 85 of file ezvoucherinformation.php.

References $db, $res, and eZDB\globalDatabase().

## ◆ toAddress()

eZVoucherInformation::toAddress | ( |  | $asObject = `true` | ) |

Returns the smail

Definition at line 487 of file ezvoucherinformation.php.

References $ret, and $ToAddressID.

## ◆ toName()

& eZVoucherInformation::toName | ( |  | ) |

Returns the to name of the voucher smail.

Definition at line 289 of file ezvoucherinformation.php.

References $ToName.

Referenced by sendEMail().

## ◆ voucher()

eZVoucherInformation::voucher | ( |  | $asObject = `true` | ) |

Returns the voucher

Definition at line 526 of file ezvoucherinformation.php.

References $VoucherID.

Referenced by sendEMail().

## Member Data Documentation

## ◆ $AddressID

eZVoucherInformation::$AddressID

Definition at line 619 of file ezvoucherinformation.php.

## ◆ $Description

eZVoucherInformation::$Description

Definition at line 607 of file ezvoucherinformation.php.

## ◆ $FromAddressID

eZVoucherInformation::$FromAddressID

Definition at line 611 of file ezvoucherinformation.php.

Referenced by fromAddress().

## ◆ $FromName

eZVoucherInformation::$FromName

Definition at line 616 of file ezvoucherinformation.php.

Referenced by fromName().

## ◆ $FromOnlineID

eZVoucherInformation::$FromOnlineID

Definition at line 617 of file ezvoucherinformation.php.

Referenced by fromEmail().

## ◆ $ID

eZVoucherInformation::$ID

Definition at line 606 of file ezvoucherinformation.php.

Referenced by __construct(), delete(), and id().

## ◆ $MailMethod

eZVoucherInformation::$MailMethod

Definition at line 613 of file ezvoucherinformation.php.

Referenced by mailMethod().

## ◆ $OnlineID

eZVoucherInformation::$OnlineID

Definition at line 609 of file ezvoucherinformation.php.

Referenced by online().

## ◆ $PreOrderID

eZVoucherInformation::$PreOrderID

Definition at line 608 of file ezvoucherinformation.php.

Referenced by preOrderID().

## ◆ $Price

eZVoucherInformation::$Price

Definition at line 614 of file ezvoucherinformation.php.

Referenced by correctPrice(), price(), and sendMail().

## ◆ $ProductID

eZVoucherInformation::$ProductID

Definition at line 618 of file ezvoucherinformation.php.

Referenced by product().

## ◆ $ToAddressID

eZVoucherInformation::$ToAddressID

Definition at line 610 of file ezvoucherinformation.php.

Referenced by toAddress().

## ◆ $ToName

eZVoucherInformation::$ToName

Definition at line 615 of file ezvoucherinformation.php.

Referenced by toName().

## ◆ $VoucherID

eZVoucherInformation::$VoucherID

Definition at line 612 of file ezvoucherinformation.php.

Referenced by voucher().

The documentation for this class was generated from the following file:

- ezvoucherinformation.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.